#version 330

uniform samplerCube uCubeMap;

in vec3 fCubeCoord;

out vec4 fragColor; // first out variable is automatically written to the screen

void main()
{	
	// Strange non/cube projection if  add 1.0f - coordinate
	vec4 skyboxColor = texture(uCubeMap, fCubeCoord);
	
	fragColor = skyboxColor; 
}
